%global prerel pre1

Name:    c3p0
Version: 0.9.2
Release: 0.5.%{prerel}%{?dist}
Summary: JDBC DataSources/Resource Pools
License: LGPLv2
URL:     http://sourceforge.net/projects/c3p0
Group:   Development/Libraries

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: java-javadoc >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: ant
BuildRequires: mchange-commons

Requires: java
Requires: mchange-commons
Requires: jpackage-utils

Source0: http://download.sourceforge.net/c3p0/%{name}-%{version}-%{prerel}.src.tgz

# POM based on the one found at http://mvnrepository.com/artifact/c3p0/c3p0
Source1: c3p0.pom

# Patch to build on java 1.6
Patch0: %{name}-build-on-1.6.patch

BuildArch: noarch

%description
c3p0 is an easy-to-use library for augmenting traditional JDBC drivers with
JNDI-bindable DataSources, including DataSources that implement Connection
and Statement Pooling, as described by the jdbc3 spec and jdbc2 standard
extension.

%package  javadoc
Summary:  API documentation for %{name}
Group:    Documentation
Requires: jpackage-utils
Requires: java-javadoc

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}-%{version}-%{prerel}.src

%patch0 -p0 -b .orig

# remove all binary bits
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

# remove manifest classpath
sed -i.bak -e "s/<attribute\ name=\"Class-Path\"\ value=\"\${mchange-commons\.jar\.file\.name}\"\ \/>//" build.xml

%build
ant \
  -Dbuild.sysclasspath=first \
  -Dmchange-commons.jar.file.dir=/usr/share/java \
  -Dmchange-commons.jar.file.name=mchange-commons.jar \
  jar javadocs

%install
# jar
install -pD -T build/%{name}-%{version}-%{prerel}.jar \
  %{buildroot}%{_javadir}/%{name}.jar

# javadocs
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr build/apidocs/* %{buildroot}%{_javadocdir}/%{name}

# pom
install -pD -m 644 -T %{SOURCE1} \
  %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%doc src/dist-static/CHANGELOG
%doc src/dist-static/LICENSE
%doc src/dist-static/RELEASE*
%doc src/doc/index.html
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%{_javadir}/%{name}.jar

%files javadoc
%doc src/dist-static/LICENSE
%{_javadocdir}/%{name}

%changelog
* Thu Jul 28 2011 Mat Booth <fedora@matbooth.co.uk> 0.9.2-0.5.pre1
- Update for latest guidelines.

* Sat Jun 11 2011 Mat Booth <fedora@matbooth.co.uk> 0.9.2-0.4.pre1
- Drop redundant clean steps.
- Req(post/postun) jpackage-utils

* Mon Apr 25 2011 Mat Booth <fedora@matbooth.co.uk> 0.9.2-0.3.pre1
- Add a POM and Maven depmap.

* Thu Feb 3 2011 Mat Booth <fedora@matbooth.co.uk> 0.9.2-0.2.pre1
- Patch to build with Java 1.6 (thanks to mcrawford for contributing a chunk
  of this.)
- Other guideline mis-compliances fixed.

* Fri Oct 8 2010 Tom "spot" Callaway <tcallawa@redhat.com> 0.9.2-0.1.pre1
- initial package
